<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/shape_corner_stroke_white"
    android:orientation="vertical"
    tools:viewBindingIgnore="true">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/common_padding_huge"
        android:orientation="vertical">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/common_padding_huge"
            android:gravity="center"
            android:text="@string/message_detail"
            android:textColor="@color/text_color_blue"
            android:textSize="@dimen/text_size_large"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:maxLines="1"
            android:textSize="@dimen/text_size_medium"
            android:textStyle="bold" />

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/line"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginBottom="@dimen/common_padding_small"
            android:background="@color/line_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/common_padding_small"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/branch_name"
                android:textSize="@dimen/text_size_medium" />

            <TextView
                android:id="@+id/branch_name"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/common_padding"
                android:background="@color/white"
                android:gravity="end"
                android:singleLine="true"
                android:textSize="@dimen/text_size_medium" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/line"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginBottom="@dimen/common_padding_small"
            android:background="@color/line_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/common_padding_small"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/publisher"
                android:textSize="@dimen/text_size_medium" />

            <TextView
                android:id="@+id/publisher"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/common_padding"
                android:background="@color/white"
                android:gravity="end"
                android:singleLine="true"
                android:textSize="@dimen/text_size_medium" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/line"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginBottom="@dimen/common_padding_small"
            android:background="@color/line_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/common_padding_small"
            android:baselineAligned="false"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="@dimen/common_padding"
                android:text="@string/message_content"
                android:textSize="@dimen/text_size_medium" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="150dp"
                android:background="@drawable/shape_large_edit_text_background"
                android:orientation="vertical">

                <ScrollView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/common_padding"
                    android:scrollbars="none">

                    <TextView
                        android:id="@+id/message_content"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="start"
                        android:textSize="@dimen/text_size_medium" />

                </ScrollView>

            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/line"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginBottom="@dimen/common_padding_small"
            android:background="@color/line_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/common_padding_small"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/publish_time"
                android:textSize="@dimen/text_size_medium" />

            <TextView
                android:id="@+id/publish_time"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/common_padding"
                android:background="@color/white"
                android:gravity="end"
                android:singleLine="true"
                android:textSize="@dimen/text_size_medium" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/line"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginBottom="@dimen/common_padding_small"
            android:background="@color/line_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/common_padding_small"
            android:layout_marginBottom="@dimen/common_padding_huge"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/commit_read"
                android:layout_width="match_parent"
                android:layout_height="@dimen/button_height"
                android:background="@drawable/shape_corner_solid_blue"
                android:gravity="center"
                android:text="@string/confirm_read"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_large"
                android:textStyle="bold" />

        </LinearLayout>

    </LinearLayout>

</LinearLayout>